package ms.warpzone.warppay.data.models.local;

import com.activeandroid.Model;
import com.activeandroid.annotation.Column;
import com.activeandroid.annotation.Table;
import com.activeandroid.query.Delete;
import com.activeandroid.query.Select;

import java.util.List;

@Table(name = "Category")
public class Category extends Model {

    @Column(name = "cid")
    private int cid;

    @Column(name = "name")
    private String name;

    @Column(name = "position")
    private float position;

    public Category() {
        super();
    }

    public Category(int cid, String name, Float position) {
        super();
        this.cid = cid;
        this.name = name;
        this.position = position;
    }

    public int getCid() {
        return cid;
    }

    public void setCid(int pid) {
        this.cid = cid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static List<Category> getAll() {
        return new Select()
                .from(Category.class)
                .orderBy("position")
                .execute();
    }

    public static void deleteAll() {
        new Delete().from(Category.class).execute();
    }

    public String toString() {
        return this.name;
    }

    public float getPosition() {
        return position;
    }

    public void setPosition(float position) {
        this.position = position;
    }
}
